# Get a Snapshot

Launch stage: Beta

`GET /api/2.0/postgres/{name=projects/*/snapshots/*}`

Retrieves information about the specified snapshot.

API scopes: postgres

## Path parameters

- `name` (string, required)
  The resource name of the snapshot to retrieve.
   Format: projects/{project_id}/snapshots/{snapshot_id}

## Returns

Returns the Snapshot object.

## Response

```json
{
  "name": "string",
  "uid": "string",
  "create_time": "string",
  "spec": {
    "source_branch": "string",
    "source_branch_lsn": "string",
    "source_branch_time": "string",
    "expire_time": "string",
    "no_expiry": true
  },
  "status": {
    "source_branch": "string",
    "expire_time": "string",
    "no_expiry": true,
    "full_size_bytes": 0,
    "diff_size_bytes": 0
  },
  "snapshot_id": "string"
}
```

